using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace JobsMedical.Web.Migrations
{
    /// <inheritdoc />
    public partial class ListingApproxCoords : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "Lat",
                table: "TalentListings",
                type: "double precision",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "Lng",
                table: "TalentListings",
                type: "double precision",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "Lat",
                table: "Shifts",
                type: "double precision",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "Lng",
                table: "Shifts",
                type: "double precision",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "Lat",
                table: "JobOpenings",
                type: "double precision",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "Lng",
                table: "JobOpenings",
                type: "double precision",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Lat",
                table: "TalentListings");

            migrationBuilder.DropColumn(
                name: "Lng",
                table: "TalentListings");

            migrationBuilder.DropColumn(
                name: "Lat",
                table: "Shifts");

            migrationBuilder.DropColumn(
                name: "Lng",
                table: "Shifts");

            migrationBuilder.DropColumn(
                name: "Lat",
                table: "JobOpenings");

            migrationBuilder.DropColumn(
                name: "Lng",
                table: "JobOpenings");
        }
    }
}
